/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workcatalogueitemstock.entity;


import com.jeeplus.common.persistence.DataEntity;
import com.jeeplus.common.utils.excel.annotation.ExcelField;

/**
 * 采购申请物品Entity
 * @author lw
 * @version 2018-07-18
 */
public class WorkCatalogueItemStock extends DataEntity<WorkCatalogueItemStock> {
	
	private static final long serialVersionUID = 1L;
	private String name;		// 物品名称
	private String number;		// 物品编号
	private String type;		// 物品分类
	private String model;		// 规格型号
	private String primaryUnit;		// 计量单位
	private String count;		// 数量
	private String detail;		// 描述
	private String stockId;		// 采购申请主键
	
	public WorkCatalogueItemStock() {
		super();
	}

	public WorkCatalogueItemStock(String id){
		super(id);
	}

	@ExcelField(title="物品名称", align=2, sort=7)
	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}
	
	@ExcelField(title="物品编号", align=2, sort=8)
	public String getNumber() {
		return number;
	}

	public void setNumber(String number) {
		this.number = number;
	}
	
	@ExcelField(title="物品分类", align=2, sort=9)
	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}
	
	@ExcelField(title="规格型号", align=2, sort=10)
	public String getModel() {
		return model;
	}

	public void setModel(String model) {
		this.model = model;
	}
	
	@ExcelField(title="计量单位", align=2, sort=11)
	public String getPrimaryUnit() {
		return primaryUnit;
	}

	public void setPrimaryUnit(String primaryUnit) {
		this.primaryUnit = primaryUnit;
	}
	
	@ExcelField(title="数量", align=2, sort=12)
	public String getCount() {
		return count;
	}

	public void setCount(String count) {
		this.count = count;
	}
	
	@ExcelField(title="描述", align=2, sort=13)
	public String getDetail() {
		return detail;
	}

	public void setDetail(String detail) {
		this.detail = detail;
	}
	
	@ExcelField(title="采购申请主键", align=2, sort=14)
	public String getStockId() {
		return stockId;
	}

	public void setStockId(String stockId) {
		this.stockId = stockId;
	}
	
}